Subject: Re: KASAN: use-after-free Read in _decode_session4

From: syzbot <[email-masked]>
Date: Thu, 07 Nov 2019 05:42:04 -0800

syzbot suspects this bug was fixed by commit:

commit c6741fbed6dc0f183d26c4b6bca4517672f92e6c
Author: Stefano Brivio <[email-masked]>
Date:   Thu Mar 15 16:17:11 2018 +0000

     vti6: Properly adjust vti6 MTU from MTU of lower device

bisection log:  https://syzkaller.appspot.com/x/bisect.txt?x=1710f0dc600000
start commit:   0b412605 Merge tag 'drm-fixes-for-v4.16-rc8' of git://peop..
git tree:       upstream
kernel config:  https://syzkaller.appspot.com/x/.config?x=8addcf4530d93e53
dashboard link: https://syzkaller.appspot.com/bug?extid=a7db9083ed4017ba4423
syz repro:      https://syzkaller.appspot.com/x/repro.syz?x=14bf273b800000
C reproducer:   https://syzkaller.appspot.com/x/repro.c?x=117045d3800000

If the result looks correct, please mark the bug fixed by replying with:

#syz fix: vti6: Properly adjust vti6 MTU from MTU of lower device

For information about bisection process see: https://goo.gl/tpsmEJ#bisection